Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053576 - [abrt] vdsm-python: libvirt.py:102:openAuth:libvirtError: Failed to connect socket to '/var/run/libvirt/libvirt-sock': No such file or directory
Summary: [abrt] vdsm-python: libvirt.py:102:openAuth:libvirtError: Failed to connect s...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.4
Assignee: Yaniv Bronhaim
QA Contact: Pavel Stehlik
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a16e1da893e2e9a6913e1ca66e9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 12:48 UTC by Rajesh Krishna Nandanwar
Modified: 2014-09-28 06:37 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-20 09:51:57 UTC
oVirt Team: ---


Attachments (Terms of Use)
File: backtrace (1.05 KB, text/plain)
2014-01-15 12:48 UTC, Rajesh Krishna Nandanwar
no flags Details
File: environ (169 bytes, text/plain)
2014-01-15 12:48 UTC, Rajesh Krishna Nandanwar
no flags Details

Description Rajesh Krishna Nandanwar 2014-01-15 12:48:24 UTC
Version-Release number of selected component:
vdsm-python-4.13.0-11.fc20

Additional info:
reporter:       libreport-2.1.11
cmdline:        /usr/bin/python /usr/bin/vdsm-tool nwfilter
dso_list:       libvirt-python-1.1.3.2-1.fc20.i686
executable:     /usr/bin/vdsm-tool
kernel:         3.12.5-302.fc20.i686+PAE
runlevel:       unknown
type:           Python
uid:            0

Truncated backtrace:
libvirt.py:102:openAuth:libvirtError: Failed to connect socket to '/var/run/libvirt/libvirt-sock': No such file or directory

Traceback (most recent call last):
  File "/usr/bin/vdsm-tool", line 143, in <module>
    sys.exit(main())
  File "/usr/bin/vdsm-tool", line 140, in main
    return tool_command[cmd]["command"](*args[1:])
  File "/usr/lib/python2.7/site-packages/vdsm/tool/nwfilter.py", line 35, in main
    conn = libvirtconnection.get(None, False)
  File "/usr/lib/python2.7/site-packages/vdsm/libvirtconnection.py", line 132, in get
    conn = utils.retry(libvirtOpenAuth, timeout=10, sleep=0.2)
  File "/usr/lib/python2.7/site-packages/vdsm/utils.py", line 903, in retry
    return func()
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 102, in openAuth
    if ret is None:raise libvirtError('virConnectOpenAuth() failed')
libvirtError: Failed to connect socket to '/var/run/libvirt/libvirt-sock': No such file or directory

Local variables in innermost frame:
flags: 0
auth: [[2, 5], <function req at 0xb707c1b4>, None]
ret: None
uri: 'qemu:///system'

Potential duplicate: bug 957335

Comment 1 Rajesh Krishna Nandanwar 2014-01-15 12:48:32 UTC
Created attachment 850481 [details]
File: backtrace

Comment 2 Rajesh Krishna Nandanwar 2014-01-15 12:48:35 UTC
Created attachment 850482 [details]
File: environ

Comment 3 Yaniv Bronhaim 2014-02-12 08:51:36 UTC
a bit of details might help here. what is the scenario? just run /usr/bin/python /usr/bin/vdsm-tool nwfilter and it happens? is libvirt service up when you run the command?

Comment 4 Rajesh Krishna Nandanwar 2014-02-12 11:55:06 UTC
(In reply to Yaniv Bronhaim from comment #3)
> a bit of details might help here. what is the scenario? just run
> /usr/bin/python /usr/bin/vdsm-tool nwfilter and it happens? is libvirt
> service up when you run the command?

Yes, libvirt was running. Sorry to say that I can't help much now since I have a reinstalled a different setup on that system now.

Comment 5 Yaniv Bronhaim 2014-02-12 12:08:53 UTC
I need more information to understand this issue. what exactly did you do, how reproducible is that, what was the status on the host, with what versions did you work? can you try to gather this information and fill the bug report with it? logs also can help (libvirt.log and vdsms).

the description just says that you tried to run "vdsm-tool nwfilter" command while libvirtd service was stopped (the uds socket was not exist in /var/run/libvirt/)

except that I can't see anything wrong or what can lead to that

Comment 6 Dan Kenigsberg 2014-02-14 15:50:46 UTC
Yaniv, 

  Failed to connect socket to '/var/run/libvirt/libvirt-sock'

means that libvirtd service was not running when vdsmd has started. This might be yet another issue with `vdsm-tool libvirt-configure`.

Are there any vdsm or libvirt hints in journalctl?

Comment 7 Yaniv Bronhaim 2014-02-20 09:51:57 UTC
I understand that the description is what provided by ABRT service. The reporter can't reproduce it and doesn't know more than what described by him above. 
I suspect libvirt service was down, or something was corrupted in libvirtd.conf during the vdsm-tool command that ran (nwfilter) which tries to communicate with libvirt socket.

It might be related to some last changes or might be fixed in latest 3.3. 

 Without further information I'm currently closing this bug as INSUFFICIENT_DATA. if the issue occurs again please reopen asap.


Note You need to log in before you can comment on or make changes to this bug.